Skip to main content
POST
/
api
/
v1
/
ssh
/
hosts
/
{sshHostId}
/
issue-user-cert
cURL
curl --request POST \
  --url https://us.infisical.com/api/v1/ssh/hosts/{sshHostId}/issue-user-cert \
  --header 'Content-Type: application/json' \
  --data '
{
  "loginUser": "<string>"
}
'
{
  "serialNumber": "<string>",
  "signedKey": "<string>",
  "privateKey": "<string>",
  "publicKey": "<string>",
  "keyAlgorithm": "RSA_2048"
}

Documentation Index

Fetch the complete documentation index at: https://infisical.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

sshHostId
string
required

The ID of the SSH host to issue the SSH credentials for.

Body

application/json
loginUser
string
required

The login user to issue the SSH credentials for.

Response

Default Response

serialNumber
string
required

The serial number of the issued SSH certificate.

signedKey
string
required

The SSH certificate or signed SSH public key.

privateKey
string
required

The private key corresponding to the issued SSH certificate.

publicKey
string
required

The public key of the issued SSH certificate.

keyAlgorithm
enum<string>
required

The type of public key algorithm and size, in bits, of the key pair for the SSH host.

Available options:
RSA_2048,
RSA_4096,
EC_prime256v1,
EC_secp384r1,
ED25519